Upgrading to 11gR1 or 11gR2 Stops With "ORA-01722: invalid number" (Doc ID 859576.1)

Last updated on JUNE 25, 2014

Applies to:

Oracle Server - Enterprise Edition - Version: 9.2.0.8 to 11.2.0.3 - Release: 9.2 to 11.2
Oracle Server - Enterprise Edition - Version: 9.2.0.8 to 11.2.0.3   [Release: 9.2 to 11.2]
Information in this document applies to any platform.

Symptoms

When upgrading to 11gR1 (11.1.0.x) or 11gR2 (11.2.0.x), the following error stops the upgrade:

SELECT TO_NUMBER('MUST_BE_SAME_TIMEZONE_FILE_VERSION')
2 FROM registry$database
3 WHERE tz_version != (SELECT version from v$timezone_file);
SELECT TO_NUMBER('MUST_BE_SAME_TIMEZONE_FILE_VERSION')
*
ERROR at line 1:
ORA-01722: invalid number

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms